Summary: A GUI-based Gnutella Client
Name: gtk-gnutella
Version: 0.96.1
Release: 1.2006mcnl
URL: http://sourceforge.net/projects/gtk-gnutella/
Vendor: MandrivaClub.NL
Distribution: Mandriva linux 2006
Packager: Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: Networking/File Transfer
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: gtk+-devel glib-devel libglade2.0 libxml2 bison
#%if %{gtk2}
BuildRequires: gtk2-devel glib2-devel libxml2-devel byacc 
#%endif

%description
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured  
servent designed to share any type of file.  Gtk-gnutella implements 
compressed gnutella net connections, ultrapeer and leaf nodes and uses 
Passive/Active Remote Queueing (PARQ).

# Define gtk1 or gtk2: gtk1=1 or gtk2=2
%define gtkver 2

%prep
%setup -q -n %{name}-%{version}

%build
./Configure -O -ders -Dprefix=%{_prefix} -Dbindir=%{_bindir} \
	-Dprivlib=%{_datadir}/%{name} -Dofficial=true -Dcc=%{__cc} \
	-Doptimize="%{optflags}" -Dgtkversion=%{gtkver} \
	-Dsysman=%{_mandir}/man1} -Dccflags="-Wall" -Dyacc="bison -y"

%make

%install
rm -rf %{buildroot}
%{__install} -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
%{__make} install INSTALL_PREFIX=$RPM_BUILD_ROOT
%{__install} -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
%{__make} install.man INSTALL_PREFIX=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f extra_files/gtk-gnutella.png %{buildroot}%{_datadir}/pixmaps

# Pacage the man pages here to save som space on your HUGE hdd ;-)
bzip2 %{buildroot}%{_datadir}/man/man1/*

# icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 extra_files/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 extra_files/%{name}.32.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16x16 extra_files/%{name}.16.png %{buildroot}%{_miconsdir}/%{name}.png

#menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="Internet/File Transfer" \
title="Gtk-Gnutella" \
longtitle="P2P client for the Gnutella network " \
startup_notify="false"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%doc README TODO AUTHORS ChangeLog
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/gtk-gnutella
%{_datadir}/pixmaps/*
%{_mandir}/man1
%{_datadir}/locale
%{_datadir}/applications/gtk-gnutella.desktop

%defattr(-,root,root,0644)
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Feb 28 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.96.1-1.2006mcnl
- 0.96.1

* Wed Jan 25 2006 HJ Heins <http://145.98.209.235/deel/> 0.96-2hjh
- Browse Host (HTML and Gnutella), TLS and IPv6 support.
- Chinese and Greek translations of the user interface.
- D-BUS plugging.
- Added hot keys: F2, F8 and F9 (see menu View->...).
- Searches are now created with a configurable expiration date.
- Optimization of the UTF-8 processing.
- Better filename conversion to locale, with automagic charset detection.
- General performance improvements in QRP and search filters.
- Full "nl" translation.
- Sorting persistence.
- Buffering of downloaded data to avoid excessive disk fragmentation
- Support for the epoll()/kqueue() system calls.
- More optimistic PARQ ETA, and PARQ back-off when QUEUE are unanswered.
- NFS-compatible session locking if anyone cares.
- Nifty property browser.

* Fri Nov 25 2005 HJ Heins <http://145.98.209.235/deel/> 0.96b-1hjh
- Mandatory upgrade!!! see Changelog for changes.

* Tue Aug 2 2005 HJ Heins <http://145.98.209.235/deel/> 0.95.4-1hjh
- Two builds; gtk1 and gtk2.

* Mon Jul 25 2005 HJ Heins <http://129.125.209.235/deel/> 0.95.3-2hjh
- GTK2 build.

* Mon May 23 2005 HJ Heins <hjh@NOSPAM.passys.nl> 0.95.3-1hjh
- Bugfix release, now builds in x86_64 again.

* Wed May 18 2005 HJ Heins <hjh@NOSPAM.passys.nl> 0.95.2-1hjh
- Bugfix release.

* Sun May 8 2005 HJ Heins <hjh@NOSPAM.passys.nl> 0.95.1-1hjh
- Build for GTK 1.x; because of speed, and lighter weight.

* Mon Apr 18 2005 HJ Heins <hjh@NOSPAM.passys.nl> 0.95
- Namechange.

* Sun Apr 10 2005 HJ Heins <hjh@NOSPAM.passys.nl> 0.95
- Small changes in .spec.

* Sat Mar 12 2005 HJ Heins <hjh@NOSPAM.mandrakeclub.nl>
- Adapted for Mandrakelinux10.2 x86_64
- Used snapshot, as official won't work.

* Mon Dec 06 2004 HJ Heins <hjh@NOSPAM.mandrakeclub.nl>
- Made some slight changes in the build process.
- But I think that the standard spec. in the source should work just as well.

* Fri Aug 27 2004 HJ Heins <hjh@NOSPAM.mandrakeclub.nl>
- Adapted for AMD64

* Sat Jul 10 2004 HJ Heins <hjh@NOSPAM.mandrakeclub.nl>
- Slight changes for 0.94, and general cleanup of spec.

* Sat Jun 19 2004 HJ Heins <hjh@NOSPAM.mandrakeclub.nl>
- Adapted for Mandrakelinux 10.0

* Tue Dec 11 2001 Sam Varshavchik <mrsam@courier-mta.com>
- Initial build.

